Return a list of users Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://bump.sh/demo/doc/api-explorer/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"API Explorer Demo MCP server": {
  "url": "https://bump.sh/demo/doc/api-explorer/mcp"
}
Close
GET /users

Returns the list of all users, sorted by creation date. You can use the page parameter to select the portion of records you want back.

Query parameters

  • page integer

    Select the portion of records you want back.

Responses

  • 200 application/json

    Successful operation, returns the list of users.

    Hide response attributes Show response attributes object
    • id string(uuid)

      ID of the user.

    • createdAt string(date-time)

      Creation date and time.

    • full_name string

      First and last name of the user.

    • jobs array[object]

      List of jobs the user has had.

      Hide jobs attributes Show jobs attributes object
      • title string

        Title of the job.

      • company string

        Name of the company where the user worked.

      • year integer

        Year when the user worked at the company.

    • address object

      One of:
GET /users
curl \
 --request GET 'https://reqres.in/api/users'
Response examples (200)
[
  {
    "id": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "full_name": "John Doe",
    "jobs": [
      {
        "title": "Software Engineer",
        "company": "Bump.sh",
        "year": "2020"
      }
    ],
    "address": {
      "full_address": "25 rue Lenepveu, 49100 Angers",
      "country": "France"
    }
  }
]